Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/setroot: new aport

From: Camille Scholtz <onodera_at_openmailbox.org>
Date: Fri, 15 Apr 2016 17:34:43 +0200

https://github.com/ttzhou/setroot
simple X background setter inspired by imlibsetroot and feh
---
 testing/setroot/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/setroot/APKBUILD
diff --git a/testing/setroot/APKBUILD b/testing/setroot/APKBUILD
new file mode 100644
index 0000000..2cf1a70
--- /dev/null
+++ b/testing/setroot/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Camille Scholtz <onodera_at_openmailbox.org>
+# Maintainer: Camille Scholtz <onodera_at_openmailbox.org>
+pkgname=setroot
+pkgver=2.0
+pkgrel=0
+pkgdesc="Simple X background setter inspired by imlibsetroot and feh"
+url="https://github.com/ttzhou/setroot"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev="imlib2-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="saveas-https://github.com/ttzhou/$pkgname/archive/v$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="99f58d6fe8026c05e6eb63be04d45a54  setroot-2.0.tar.gz"
+sha256sums="c4ccdacb44a7b15d3c592d4b94a64543c98acf3264abf279e0c4970189806fa9  setroot-2.0.tar.gz"
+sha512sums="0e1d0aa2a002ce348d2c4791e27980f1431ed9543d46dcbc1f8d20b1518d126c5cd9d4642aec5f13c8ab0c7b3e75d55e5f70a5b649264949989965505dfedb71  setroot-2.0.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Apr 15 2016 - 17:34:43 GMT